<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical">

    <LinearLayout
        android:id="@+id/llContent"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        android:orientation="vertical">

        <include layout="@layout/title" />

        <TextView
            android:id="@+id/test_content"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:padding="16dp"
            android:textColor="#ff666666"
            android:textSize="13sp" />

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginStart="16dp"
            android:layout_marginEnd="16dp"
            android:background="#fff5f5f5" />

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <android.support.v7.widget.AppCompatAutoCompleteTextView
                android:id="@+id/test_input_comment"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@null"
                android:hint="写下您的看法"
                android:lineSpacingMultiplier="1.3"
                android:paddingStart="16dp"
                android:paddingTop="20dp"
                android:paddingEnd="16dp"
                android:paddingBottom="20dp"
                android:textColor="#333333"
                android:textColorHint="#ffcccccc"
                android:textSize="13sp" />

            <ImageView
                android:layout_width="50dp"
                android:layout_height="wrap_content"
                android:layout_alignBottom="@id/test_input_comment"
                android:layout_alignParentEnd="true"
                android:layout_marginEnd="2dp"
                android:onClick="onClickXInput"
                android:padding="20dp"
                android:scaleType="fitCenter"
                android:src="@mipmap/x" />
        </RelativeLayout>
        <!--这里是一个系统级别的bug吗，为什么上面的输入框不能自动弹出输入法，而必须添加下面的ListView来让整个界面充满才能自动弹出输入法(不能是View...)-->
        <ListView
            android:id="@+id/search_app_list"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1" />

    </LinearLayout>
    <!--表情区-->
    <com.lqr.emoji.EmotionLayout
        android:id="@+id/elEmotion"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:visibility="gone" />
</LinearLayout>
